Subject: [bug#64875] [PATCH 0/4] Adding xsv

From: Christopher Baines <[email-masked]>
Date: Thu, 05 Oct 2023 11:22:00 +0100

Wilko Meyer <[email-masked]> writes:

> I'd like to add xsv, which is a csv cli toolkit, to guix packages. It
> has two dependencies, rust-chan-0.1 and rust-filetime-0.1, which I've
> added in this patch series as well. As this is my first time adding
> something to guix packages I tried to be as close to the guix manual as
> possible, please let me know if there's still something missing/if
> there's something I can do to further improve the quality of my patches.
>
> Best Regards,
>
> Wilko Meyer
>
> Wilko Meyer (4):
>   gnu: Added rust-chan-0.1.
>   gnu: Added rust-filetime-0.1 variant.
>   gnu: Added xsv.
>   gnu: Added copyright information.
>
>  gnu/packages/crates-io.scm | 40 ++++++++++++++++++++++++++++++++++++++
>  gnu/packages/rust-apps.scm | 36 ++++++++++++++++++++++++++++++++++
>  2 files changed, 76 insertions(+)
>
>
> base-commit: e05dcecd0df49a397aba49585a626cae16a6306c

Hi Wilko,

Thanks for sending these patches. I think there's an issue with xsv as
one of the inputs (rust-csv-index) doesn't seem to exist.

Do these new packages build for you on your system?

Thanks,

Chris